Iterator(3U)

NAME
Iterator - marks a position in a data structure

SYNOPSIS
#include <Unidraw/iterator.h>

DESCRIPTION
An iterator marks a position in a data structure, generally during a traversal of some sort. For example, an iterator keeps track of the current position when iterating through a list of elements. Unidraw's Iterator class serves this purpose in conjunction with ULists or objects that use them.

PUBLIC OPERATIONS

Iterator()

Iterator(Iterator&)
    Construct a new iterator. The second constructor initializes the iterator's value to that of the given iterator.

virtual void SetValue(void*)

virtual void* GetValue()
    Classes that use an iterator must store position information in it. These operations set and get the this information.

SEE ALSO
UList(3U)